import { Component, Inject, Injector, NgModule, ElementRef,
    SkipSelf, Optional, forwardRef, ChangeDetectorRef,
    EventEmitter } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule, NG_VALUE_ACCESSOR } from '@angular/forms';
import { WjValueAccessorFactory } from 'wijmo/wijmo.angular2.directiveBase';
import { WjGridModule, WjFlexGrid, wjFlexGridMeta, 
    WjFlexGridColumn, wjFlexGridColumnMeta }  from 'wijmo/wijmo.angular2.grid';
import { WjFlexGridFilter, WjGridFilterModule,wjFlexGridFilterMeta } from "wijmo/wijmo.angular2.grid.filter";

@Component({
    selector: 'gc-grid-filter',
    template: wjFlexGridFilterMeta.template,
    inputs: [...wjFlexGridFilterMeta.inputs],
    outputs: [...wjFlexGridFilterMeta.outputs],
    providers: [
        { provide: 'WjComponent', useExisting: forwardRef(() => GcGridFilter) },
        ...wjFlexGridFilterMeta.providers
    ]
})
export class GcGridFilter extends WjFlexGridFilter {
 
}




@NgModule({
    imports: [WjGridModule, BrowserModule, FormsModule],
    declarations: [GcGridFilter],
    exports: [GcGridFilter]
})
export class GcGridFilterModule {
}

